Bug 121045 - CAN-2004-0178 Soundblaster 16 local DoS
Summary: CAN-2004-0178 Soundblaster 16 local DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-16 13:53 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 22:36:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:413 normal SHIPPED_LIVE Important: kernel security update 2004-08-03 04:00:00 UTC

Description Mark J. Cox 2004-04-16 13:53:27 UTC
Minor severity: An improperly handled sample size in the Sound Blaster
16 driver for Linux 2.4.x allows local users to cause a denial of
service (crash).

Reported via Alan Cox from Andreas Kies on March 02.  Public from
April 14th.

Comment 5 Ernie Petrides 2004-05-11 04:02:56 UTC
The fix in comment #1 has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.3.EL).


Comment 6 Ernie Petrides 2004-07-31 05:54:25 UTC
A fix for this problem has also been committed to the RHEL3 E3
patch pool (in kernel version 2.4.21-15.0.4.EL).


Comment 7 Mark J. Cox 2004-08-03 22:36:26 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-413.html



Note You need to log in before you can comment on or make changes to this bug.